Bug 500084 - fstab entry works in FC10, fails in FC11 (requires a '.' after the server name)
fstab entry works in FC10, fails in FC11 (requires a '.' after the server name)
Product: Fedora
Classification: Fedora
Component: setup (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-05-10 15:54 EDT by Leslie Brooks
Modified: 2010-03-22 13:55 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-03-22 13:55:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Leslie Brooks 2009-05-10 15:54:45 EDT
Description of problem:  My Fedora 10 system has an fstab entry to mount my NFS server; it works fine and looks like this:

Server_Name:/Dir-to-mount     /Local-Dir             nfs     rw,hard,intr    0 0

However, in Fedora 11 this produces a DNS error; when I run 'mount -a' it gives me a DNS error and says it can't find the server.

The solution is to add a dot after the server name, like this:

Server_Name.:/Dir-to-mount     /Local-Dir             nfs     rw,hard,intr    0 0

Version-Release number of selected component (if applicable):

How reproducible:  Always

Steps to Reproduce:
Actual results:

Expected results:

Additional info:

I don't have a domain name on my network and ssh requires the dot after the server name, so this may be 'As Designed' for FC11, but it is different from FC10 so it needs to be documented.  I can create log files if needed, but at the moment the system is in use, and I am guessing that this is simple enough that you won't need a log.
Comment 1 Bug Zapper 2009-06-09 11:36:38 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
Comment 2 Steve Dickson 2009-06-11 13:56:49 EDT
This does not appear to be a nfs-utils bug but more a DNS issue... 
But to be honest I'm not sure to whom I should reassign this to... 

Bill, would you have an idea on how to handle this??
Comment 3 Ondrej Vasik 2009-10-19 13:37:36 EDT
Well, setup is probably not the best choice ... why did you choose it? I'll add Adam Tkac (bind maintainer) to cc , as probably he may help with this as well.
Comment 4 Bill Nottingham 2009-10-19 13:37:46 EDT
How is this host name resolved - DNS? /etc/hosts? Other?
Comment 5 Steve Dickson 2009-10-19 14:07:34 EDT
> Well, setup is probably not the best choice ... why did you choose it? 

I thought it was a parsing issue for /etc/fstab, so I did the following:

# rpm -qf /etc/fstab
Comment 6 Ondrej Vasik 2009-10-20 05:54:34 EDT
Ok, setup owns that file (and creates empty one), but anaconda/users/whatever modifies it. 
Anyway - I guess reporter should at least provide info from Comment #4, so setting needinfo.
Comment 7 Leslie Brooks 2009-10-21 13:56:18 EDT
The host name is resolved by DNS.
Comment 8 Adam Tkac 2009-11-27 07:00:16 EST
(In reply to comment #7)
> The host name is resolved by DNS.  

Do you run BIND as a caching nameserver on that machine (and have "nameserver" in your /etc/resolv.conf)? Or do you use nameserver which doesn't run on the same machine.
Comment 9 Leslie Brooks 2009-12-07 11:41:46 EST
No, I don't run Bind on the machine; the host name is resolved by my router running DD-WRT.  The router has a static IP address for the NFS server, but I don't use a domain.
Comment 10 Ondrej Vasik 2010-03-22 13:55:20 EDT
As there is not known where the problem is, I'm closing that bugzilla CANTFIX. It's not clear which component might be responsible for those issues, it might be either bug somewhere or some local configuration issue. I think it can't be resolved by setup component, so if you decide to reopen it, try to find out better component. I have no idea which one.

Note You need to log in before you can comment on or make changes to this bug.